Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.core.refactoring
Class TextEditChangeGroup

    java.lang.Object
      org.eclipse.ltk.core.refactoring.TextEditChangeGroup

public class TextEditChangeGroup
extends Object

This class is a wrapper around a `TextEditGroup` adding support for marking a group as active and inactive.

Note: this class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `TextEditGroup`

Constructor Summary
`TextEditChangeGroup(TextChange change, TextEditGroup group)` Creates new `TextEditChangeGroup` for the given `TextChange` and `TextEditGroup`.

Method Summary
`String` | `getName()` Returns the groups's name by forwarding the method to the underlying text edit group.
`IRegion` | `getRegion()` Returns the region covered by the underlying text edit group.
`TextChange` | `getTextChange()` Returns the text change this group belongs to.
`TextEditGroup` | `getTextEditGroup()` Returns the underlying text edit group.
`TextEdit[]` | `getTextEdits()` Returns the text edits managed by the underlying text edit group.
`boolean` | `isEnabled()` Returns whether the group is enabled or not.
`void` | `setEnabled(boolean enabled)` Marks the group as enabled or disabled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextEditChangeGroup

    public TextEditChangeGroup(TextChange change,
                               TextEditGroup group)

  Creates new `TextEditChangeGroup` for the given `TextChange` and `TextEditGroup`.

Parameters:
  `change` - the change owning this text edit change group
  `group` - the underlying text edit group

Method Detail

### getName

    public String getName()

  Returns the groups's name by forwarding the method to the underlying text edit group.

  Returns:
    the group's name

### setEnabled

    public void setEnabled(boolean enabled)

  Marks the group as enabled or disabled. If a group is marked as disabled the text edits managed by the underlying text edit group aren't executed when performing the text change that owns this group.

  Parameters:
    `enabled` - `true` to mark this group as enabled, `false` to mark it as disabled

### isEnabled

    public boolean isEnabled()

  Returns whether the group is enabled or not.

  Returns:
    `true` if the group is marked as enabled; `false` otherwise

### getTextChange

    public TextChange getTextChange()

  Returns the text change this group belongs to.

  Returns:
    the text change this group belongs to

### getTextEditGroup

    public TextEditGroup getTextEditGroup()

  Returns the underlying text edit group.

  Returns:
    the underlying text edit group

### getRegion

    public IRegion getRegion()

  Returns the region covered by the underlying text edit group.

  Returns:
    the region covered by the underlying text edit group

### getTextEdits

    public TextEdit[] getTextEdits()

  Returns the text edits managed by the underlying text edit group.

  Returns:
    the text edits managed by the underlying text edit group

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.